## duckdb 1.1.0

=== DESCRIPTION ===
Package: duckdb
Title: DBI Package for the DuckDB Database Management System
Version: 1.1.0
Authors@R: c(
    person("Hannes", "Mühleisen", , "hannes@cwi.nl", role = "aut",
           comment = c(ORCID = "0000-0001-8552-0029")),
    person("Mark", "Raasveldt", , "mark.raasveldt@cwi.nl", role = "aut",
           comment = c(ORCID = "0000-0001-5005-6844")),
    person("Kirill", "Müller", , "kirill@cynkra.com", role = "cre",
           comment = c(ORCID = "0000-0002-1416-3412")),
    person("Stichting DuckDB Foundation", role = "cph"),
    person("Apache Software Foundation", role = "cph"),
    person("PostgreSQL Global Development Group", role = "cph"),
    person("The Regents of the University of California", role = "cph"),
    person("Cameron Desrochers", role = "cph"),
    person("Victor Zverovich", role = "cph"),
    person("RAD Game Tools", role = "cph"),
    person("Valve Software", role = "cph"),
    person("Rich Geldreich", role = "cph"),
    person("Tenacious Software LLC", role = "cph"),
    person("The RE2 Authors", role = "cph"),
    person("Google Inc.", role = "cph"),
    person("Facebook Inc.", role = "cph"),
    person("Steven G. Johnson", role = "cph"),
    person("Jiahao Chen", role = "cph"),
    person("Tony Kelman", role = "cph"),
    person("Jonas Fonseca", role = "cph"),
    person("Lukas Fittl", role = "cph"),
    person("Salvatore Sanfilippo", role = "cph"),
    person("Art.sy, Inc.", role = "cph"),
    person("Oran Agra", role = "cph"),
    person("Redis Labs, Inc.", role = "cph"),
    person("Melissa O'Neill", role = "cph"),
    person("PCG Project contributors", role = "cph")
  )
Description: The DuckDB project is an embedded analytical data management
    system with support for the Structured Query Language (SQL). This
    package includes all of DuckDB and an R Database Interface (DBI)
    connector.
License: MIT + file LICENSE
URL: https://r.duckdb.org/, https://github.com/duckdb/duckdb-r
BugReports: https://github.com/duckdb/duckdb-r/issues
Depends: DBI, R (>= 3.6.0)
Imports: methods, utils
Suggests: adbcdrivermanager, arrow (>= 13.0.0), bit64, callr, clock,
        DBItest, dbplyr, dplyr, rlang, testthat, tibble, vctrs, withr
Encoding: UTF-8
RoxygenNote: 7.3.2.9000
Config/build/compilation-database: true
NeedsCompilation: yes
Packaged: 2024-09-24 20:10:43 UTC; kirill
Author: Hannes Mühleisen [aut] (<https://orcid.org/0000-0001-8552-0029>),
  Mark Raasveldt [aut] (<https://orcid.org/0000-0001-5005-6844>),
  Kirill Müller [cre] (<https://orcid.org/0000-0002-1416-3412>),
  Stichting DuckDB Foundation [cph],
  Apache Software Foundation [cph],
  PostgreSQL Global Development Group [cph],
  The Regents of the University of California [cph],
  Cameron Desrochers [cph],
  Victor Zverovich [cph],
  RAD Game Tools [cph],
  Valve Software [cph],
  Rich Geldreich [cph],
  Tenacious Software LLC [cph],
  The RE2 Authors [cph],
  Google Inc. [cph],
  Facebook Inc. [cph],
  Steven G. Johnson [cph],
  Jiahao Chen [cph],
  Tony Kelman [cph],
  Jonas Fonseca [cph],
  Lukas Fittl [cph],
  Salvatore Sanfilippo [cph],
  Art.sy, Inc. [cph],
  Oran Agra [cph],
  Redis Labs, Inc. [cph],
  Melissa O'Neill [cph],
  PCG Project contributors [cph]
Maintainer: Kirill Müller <kirill@cynkra.com>
Repository: CRAN
Date/Publication: 2024-09-25 00:10:08 UTC

## duckdb 1.1.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: duckdb
 Title: DBI Package for the DuckDB Database Management System
-Version: 1.1.0
+Version: 1.1.1
 Authors@R: c(
     person("Hannes", "Mühleisen", , "hannes@cwi.nl", role = "aut",
            comment = c(ORCID = "0000-0001-8552-0029")),
@@ -48,7 +48,7 @@
 RoxygenNote: 7.3.2.9000
 Config/build/compilation-database: true
 NeedsCompilation: yes
-Packaged: 2024-09-24 20:10:43 UTC; kirill
+Packaged: 2024-10-16 05:59:32 UTC; kirill
 Author: Hannes Mühleisen [aut] (<https://orcid.org/0000-0001-8552-0029>),
   Mark Raasveldt [aut] (<https://orcid.org/0000-0001-5005-6844>),
   Kirill Müller [cre] (<https://orcid.org/0000-0002-1416-3412>),
@@ -78,4 +78,4 @@
   PCG Project contributors [cph]
 Maintainer: Kirill Müller <kirill@cynkra.com>
 Repository: CRAN
-Date/Publication: 2024-09-25 00:10:08 UTC
+Date/Publication: 2024-10-16 14:00:02 UTC

## duckdb 1.1.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: duckdb
 Title: DBI Package for the DuckDB Database Management System
-Version: 1.1.1
+Version: 1.1.2
 Authors@R: c(
     person("Hannes", "Mühleisen", , "hannes@cwi.nl", role = "aut",
            comment = c(ORCID = "0000-0001-8552-0029")),
@@ -48,7 +48,7 @@
 RoxygenNote: 7.3.2.9000
 Config/build/compilation-database: true
 NeedsCompilation: yes
-Packaged: 2024-10-16 05:59:32 UTC; kirill
+Packaged: 2024-10-30 04:51:07 UTC; kirill
 Author: Hannes Mühleisen [aut] (<https://orcid.org/0000-0001-8552-0029>),
   Mark Raasveldt [aut] (<https://orcid.org/0000-0001-5005-6844>),
   Kirill Müller [cre] (<https://orcid.org/0000-0002-1416-3412>),
@@ -78,4 +78,4 @@
   PCG Project contributors [cph]
 Maintainer: Kirill Müller <kirill@cynkra.com>
 Repository: CRAN
-Date/Publication: 2024-10-16 14:00:02 UTC
+Date/Publication: 2024-10-30 09:50:02 UTC

## duckdb 1.1.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: duckdb
 Title: DBI Package for the DuckDB Database Management System
-Version: 1.1.2
+Version: 1.1.3
 Authors@R: c(
     person("Hannes", "Mühleisen", , "hannes@cwi.nl", role = "aut",
            comment = c(ORCID = "0000-0001-8552-0029")),
@@ -48,7 +48,7 @@
 RoxygenNote: 7.3.2.9000
 Config/build/compilation-database: true
 NeedsCompilation: yes
-Packaged: 2024-10-30 04:51:07 UTC; kirill
+Packaged: 2024-11-21 15:07:58 UTC; kirill
 Author: Hannes Mühleisen [aut] (<https://orcid.org/0000-0001-8552-0029>),
   Mark Raasveldt [aut] (<https://orcid.org/0000-0001-5005-6844>),
   Kirill Müller [cre] (<https://orcid.org/0000-0002-1416-3412>),
@@ -78,4 +78,4 @@
   PCG Project contributors [cph]
 Maintainer: Kirill Müller <kirill@cynkra.com>
 Repository: CRAN
-Date/Publication: 2024-10-30 09:50:02 UTC
+Date/Publication: 2024-11-21 18:10:10 UTC

## duckdb 1.1.3-1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: duckdb
 Title: DBI Package for the DuckDB Database Management System
-Version: 1.1.3
+Version: 1.1.3-1
 Authors@R: c(
     person("Hannes", "Mühleisen", , "hannes@cwi.nl", role = "aut",
            comment = c(ORCID = "0000-0001-8552-0029")),
@@ -44,11 +44,12 @@
 Imports: methods, utils
 Suggests: adbcdrivermanager, arrow (>= 13.0.0), bit64, callr, clock,
         DBItest, dbplyr, dplyr, rlang, testthat, tibble, vctrs, withr
+Config/build/compilation-database: true
 Encoding: UTF-8
 RoxygenNote: 7.3.2.9000
-Config/build/compilation-database: true
+SystemRequirements: xz (for building from source)
 NeedsCompilation: yes
-Packaged: 2024-11-21 15:07:58 UTC; kirill
+Packaged: 2024-12-08 09:12:01 UTC; kirill
 Author: Hannes Mühleisen [aut] (<https://orcid.org/0000-0001-8552-0029>),
   Mark Raasveldt [aut] (<https://orcid.org/0000-0001-5005-6844>),
   Kirill Müller [cre] (<https://orcid.org/0000-0002-1416-3412>),
@@ -78,4 +79,4 @@
   PCG Project contributors [cph]
 Maintainer: Kirill Müller <kirill@cynkra.com>
 Repository: CRAN
-Date/Publication: 2024-11-21 18:10:10 UTC
+Date/Publication: 2024-12-08 13:00:02 UTC

## duckdb 1.1.3-2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: duckdb
 Title: DBI Package for the DuckDB Database Management System
-Version: 1.1.3-1
+Version: 1.1.3-2
 Authors@R: c(
     person("Hannes", "Mühleisen", , "hannes@cwi.nl", role = "aut",
            comment = c(ORCID = "0000-0001-8552-0029")),
@@ -49,7 +49,7 @@
 RoxygenNote: 7.3.2.9000
 SystemRequirements: xz (for building from source)
 NeedsCompilation: yes
-Packaged: 2024-12-08 09:12:01 UTC; kirill
+Packaged: 2025-01-24 17:09:04 UTC; kirill
 Author: Hannes Mühleisen [aut] (<https://orcid.org/0000-0001-8552-0029>),
   Mark Raasveldt [aut] (<https://orcid.org/0000-0001-5005-6844>),
   Kirill Müller [cre] (<https://orcid.org/0000-0002-1416-3412>),
@@ -79,4 +79,4 @@
   PCG Project contributors [cph]
 Maintainer: Kirill Müller <kirill@cynkra.com>
 Repository: CRAN
-Date/Publication: 2024-12-08 13:00:02 UTC
+Date/Publication: 2025-01-24 21:00:02 UTC

## duckdb 1.2.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: duckdb
 Title: DBI Package for the DuckDB Database Management System
-Version: 1.1.3-2
+Version: 1.2.0
 Authors@R: c(
     person("Hannes", "Mühleisen", , "hannes@cwi.nl", role = "aut",
            comment = c(ORCID = "0000-0001-8552-0029")),
@@ -49,7 +49,7 @@
 RoxygenNote: 7.3.2.9000
 SystemRequirements: xz (for building from source)
 NeedsCompilation: yes
-Packaged: 2025-01-24 17:09:04 UTC; kirill
+Packaged: 2025-02-14 18:27:06 UTC; kirill
 Author: Hannes Mühleisen [aut] (<https://orcid.org/0000-0001-8552-0029>),
   Mark Raasveldt [aut] (<https://orcid.org/0000-0001-5005-6844>),
   Kirill Müller [cre] (<https://orcid.org/0000-0002-1416-3412>),
@@ -79,4 +79,4 @@
   PCG Project contributors [cph]
 Maintainer: Kirill Müller <kirill@cynkra.com>
 Repository: CRAN
-Date/Publication: 2025-01-24 21:00:02 UTC
+Date/Publication: 2025-02-21 00:30:10 UTC

## duckdb 1.2.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: duckdb
 Title: DBI Package for the DuckDB Database Management System
-Version: 1.2.0
+Version: 1.2.1
 Authors@R: c(
     person("Hannes", "Mühleisen", , "hannes@cwi.nl", role = "aut",
            comment = c(ORCID = "0000-0001-8552-0029")),
@@ -49,7 +49,7 @@
 RoxygenNote: 7.3.2.9000
 SystemRequirements: xz (for building from source)
 NeedsCompilation: yes
-Packaged: 2025-02-14 18:27:06 UTC; kirill
+Packaged: 2025-03-14 07:05:03 UTC; kirill
 Author: Hannes Mühleisen [aut] (<https://orcid.org/0000-0001-8552-0029>),
   Mark Raasveldt [aut] (<https://orcid.org/0000-0001-5005-6844>),
   Kirill Müller [cre] (<https://orcid.org/0000-0002-1416-3412>),
@@ -79,4 +79,4 @@
   PCG Project contributors [cph]
 Maintainer: Kirill Müller <kirill@cynkra.com>
 Repository: CRAN
-Date/Publication: 2025-02-21 00:30:10 UTC
+Date/Publication: 2025-03-14 13:40:02 UTC

## duckdb 1.2.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: duckdb
 Title: DBI Package for the DuckDB Database Management System
-Version: 1.2.1
+Version: 1.2.2
 Authors@R: c(
     person("Hannes", "Mühleisen", , "hannes@cwi.nl", role = "aut",
            comment = c(ORCID = "0000-0001-8552-0029")),
@@ -40,16 +40,20 @@
 License: MIT + file LICENSE
 URL: https://r.duckdb.org/, https://github.com/duckdb/duckdb-r
 BugReports: https://github.com/duckdb/duckdb-r/issues
-Depends: DBI, R (>= 3.6.0)
+Depends: DBI, R (>= 4.1.0)
 Imports: methods, utils
 Suggests: adbcdrivermanager, arrow (>= 13.0.0), bit64, callr, clock,
         DBItest, dbplyr, dplyr, rlang, testthat, tibble, vctrs, withr
-Config/build/compilation-database: true
+Config/build/compilation-database: false
+Config/build/never-clean: true
+Config/comment/compilation-database: Generate manually with
+        pkgload:::generate_db() for faster pkgload::load_all()
+Config/gha/extra-packages: arrow=?ignore-before-r=4.2.0
 Encoding: UTF-8
 RoxygenNote: 7.3.2.9000
 SystemRequirements: xz (for building from source)
 NeedsCompilation: yes
-Packaged: 2025-03-14 07:05:03 UTC; kirill
+Packaged: 2025-04-29 09:31:19 UTC; kirill
 Author: Hannes Mühleisen [aut] (<https://orcid.org/0000-0001-8552-0029>),
   Mark Raasveldt [aut] (<https://orcid.org/0000-0001-5005-6844>),
   Kirill Müller [cre] (<https://orcid.org/0000-0002-1416-3412>),
@@ -79,4 +83,4 @@
   PCG Project contributors [cph]
 Maintainer: Kirill Müller <kirill@cynkra.com>
 Repository: CRAN
-Date/Publication: 2025-03-14 13:40:02 UTC
+Date/Publication: 2025-04-29 12:40:06 UTC

## duckdb 1.3.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: duckdb
 Title: DBI Package for the DuckDB Database Management System
-Version: 1.2.2
+Version: 1.3.0
 Authors@R: c(
     person("Hannes", "Mühleisen", , "hannes@cwi.nl", role = "aut",
            comment = c(ORCID = "0000-0001-8552-0029")),
@@ -53,10 +53,10 @@
 RoxygenNote: 7.3.2.9000
 SystemRequirements: xz (for building from source)
 NeedsCompilation: yes
-Packaged: 2025-04-29 09:31:19 UTC; kirill
-Author: Hannes Mühleisen [aut] (<https://orcid.org/0000-0001-8552-0029>),
-  Mark Raasveldt [aut] (<https://orcid.org/0000-0001-5005-6844>),
-  Kirill Müller [cre] (<https://orcid.org/0000-0002-1416-3412>),
+Packaged: 2025-05-25 14:11:18 UTC; kirill
+Author: Hannes Mühleisen [aut] (ORCID: <https://orcid.org/0000-0001-8552-0029>),
+  Mark Raasveldt [aut] (ORCID: <https://orcid.org/0000-0001-5005-6844>),
+  Kirill Müller [cre] (ORCID: <https://orcid.org/0000-0002-1416-3412>),
   Stichting DuckDB Foundation [cph],
   Apache Software Foundation [cph],
   PostgreSQL Global Development Group [cph],
@@ -83,4 +83,4 @@
   PCG Project contributors [cph]
 Maintainer: Kirill Müller <kirill@cynkra.com>
 Repository: CRAN
-Date/Publication: 2025-04-29 12:40:06 UTC
+Date/Publication: 2025-06-02 10:20:09 UTC

## duckdb 1.3.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: duckdb
 Title: DBI Package for the DuckDB Database Management System
-Version: 1.3.0
+Version: 1.3.1
 Authors@R: c(
     person("Hannes", "Mühleisen", , "hannes@cwi.nl", role = "aut",
            comment = c(ORCID = "0000-0001-8552-0029")),
@@ -52,8 +52,9 @@
 Encoding: UTF-8
 RoxygenNote: 7.3.2.9000
 SystemRequirements: xz (for building from source)
+Biarch: true
 NeedsCompilation: yes
-Packaged: 2025-05-25 14:11:18 UTC; kirill
+Packaged: 2025-06-20 16:56:20 UTC; kirill
 Author: Hannes Mühleisen [aut] (ORCID: <https://orcid.org/0000-0001-8552-0029>),
   Mark Raasveldt [aut] (ORCID: <https://orcid.org/0000-0001-5005-6844>),
   Kirill Müller [cre] (ORCID: <https://orcid.org/0000-0002-1416-3412>),
@@ -83,4 +84,4 @@
   PCG Project contributors [cph]
 Maintainer: Kirill Müller <kirill@cynkra.com>
 Repository: CRAN
-Date/Publication: 2025-06-02 10:20:09 UTC
+Date/Publication: 2025-06-23 12:10:07 UTC

## duckdb 1.3.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: duckdb
 Title: DBI Package for the DuckDB Database Management System
-Version: 1.3.1
+Version: 1.3.2
 Authors@R: c(
     person("Hannes", "Mühleisen", , "hannes@cwi.nl", role = "aut",
            comment = c(ORCID = "0000-0001-8552-0029")),
@@ -54,7 +54,7 @@
 SystemRequirements: xz (for building from source)
 Biarch: true
 NeedsCompilation: yes
-Packaged: 2025-06-20 16:56:20 UTC; kirill
+Packaged: 2025-07-09 14:25:12 UTC; kirill
 Author: Hannes Mühleisen [aut] (ORCID: <https://orcid.org/0000-0001-8552-0029>),
   Mark Raasveldt [aut] (ORCID: <https://orcid.org/0000-0001-5005-6844>),
   Kirill Müller [cre] (ORCID: <https://orcid.org/0000-0002-1416-3412>),
@@ -84,4 +84,4 @@
   PCG Project contributors [cph]
 Maintainer: Kirill Müller <kirill@cynkra.com>
 Repository: CRAN
-Date/Publication: 2025-06-23 12:10:07 UTC
+Date/Publication: 2025-07-09 17:50:02 UTC

## duckdb 1.3.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: duckdb
 Title: DBI Package for the DuckDB Database Management System
-Version: 1.3.2
+Version: 1.3.3
 Authors@R: c(
     person("Hannes", "Mühleisen", , "hannes@cwi.nl", role = "aut",
            comment = c(ORCID = "0000-0001-8552-0029")),
@@ -49,12 +49,13 @@
 Config/comment/compilation-database: Generate manually with
         pkgload:::generate_db() for faster pkgload::load_all()
 Config/gha/extra-packages: arrow=?ignore-before-r=4.2.0
+        adbcdrivermanager=?ignore-before-r=4.2.0
 Encoding: UTF-8
-RoxygenNote: 7.3.2.9000
+RoxygenNote: 7.3.3.9000
 SystemRequirements: xz (for building from source)
 Biarch: true
 NeedsCompilation: yes
-Packaged: 2025-07-09 14:25:12 UTC; kirill
+Packaged: 2025-09-10 09:33:35 UTC; kirill
 Author: Hannes Mühleisen [aut] (ORCID: <https://orcid.org/0000-0001-8552-0029>),
   Mark Raasveldt [aut] (ORCID: <https://orcid.org/0000-0001-5005-6844>),
   Kirill Müller [cre] (ORCID: <https://orcid.org/0000-0002-1416-3412>),
@@ -84,4 +85,4 @@
   PCG Project contributors [cph]
 Maintainer: Kirill Müller <kirill@cynkra.com>
 Repository: CRAN
-Date/Publication: 2025-07-09 17:50:02 UTC
+Date/Publication: 2025-09-10 16:00:14 UTC

## duckdb 1.4.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: duckdb
 Title: DBI Package for the DuckDB Database Management System
-Version: 1.3.3
+Version: 1.4.0
 Authors@R: c(
     person("Hannes", "Mühleisen", , "hannes@cwi.nl", role = "aut",
            comment = c(ORCID = "0000-0001-8552-0029")),
@@ -55,7 +55,7 @@
 SystemRequirements: xz (for building from source)
 Biarch: true
 NeedsCompilation: yes
-Packaged: 2025-09-10 09:33:35 UTC; kirill
+Packaged: 2025-09-17 14:15:21 UTC; kirill
 Author: Hannes Mühleisen [aut] (ORCID: <https://orcid.org/0000-0001-8552-0029>),
   Mark Raasveldt [aut] (ORCID: <https://orcid.org/0000-0001-5005-6844>),
   Kirill Müller [cre] (ORCID: <https://orcid.org/0000-0002-1416-3412>),
@@ -85,4 +85,4 @@
   PCG Project contributors [cph]
 Maintainer: Kirill Müller <kirill@cynkra.com>
 Repository: CRAN
-Date/Publication: 2025-09-10 16:00:14 UTC
+Date/Publication: 2025-09-18 12:40:02 UTC

## duckdb 1.4.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: duckdb
 Title: DBI Package for the DuckDB Database Management System
-Version: 1.4.0
+Version: 1.4.1
 Authors@R: c(
     person("Hannes", "Mühleisen", , "hannes@cwi.nl", role = "aut",
            comment = c(ORCID = "0000-0001-8552-0029")),
@@ -50,12 +50,15 @@
         pkgload:::generate_db() for faster pkgload::load_all()
 Config/gha/extra-packages: arrow=?ignore-before-r=4.2.0
         adbcdrivermanager=?ignore-before-r=4.2.0
+Config/gha/filter: os != "windows-latest" | r != "4.1"
+Config/gha/filter-note: Inexplicable build failures on Windows GHA with
+        R 4.1, works locally
 Encoding: UTF-8
 RoxygenNote: 7.3.3.9000
 SystemRequirements: xz (for building from source)
 Biarch: true
 NeedsCompilation: yes
-Packaged: 2025-09-17 14:15:21 UTC; kirill
+Packaged: 2025-10-07 17:52:10 UTC; kirill
 Author: Hannes Mühleisen [aut] (ORCID: <https://orcid.org/0000-0001-8552-0029>),
   Mark Raasveldt [aut] (ORCID: <https://orcid.org/0000-0001-5005-6844>),
   Kirill Müller [cre] (ORCID: <https://orcid.org/0000-0002-1416-3412>),
@@ -85,4 +88,4 @@
   PCG Project contributors [cph]
 Maintainer: Kirill Müller <kirill@cynkra.com>
 Repository: CRAN
-Date/Publication: 2025-09-18 12:40:02 UTC
+Date/Publication: 2025-10-16 13:30:02 UTC

## duckdb 1.4.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: duckdb
 Title: DBI Package for the DuckDB Database Management System
-Version: 1.4.1
+Version: 1.4.2
 Authors@R: c(
     person("Hannes", "Mühleisen", , "hannes@cwi.nl", role = "aut",
            comment = c(ORCID = "0000-0001-8552-0029")),
@@ -58,7 +58,7 @@
 SystemRequirements: xz (for building from source)
 Biarch: true
 NeedsCompilation: yes
-Packaged: 2025-10-07 17:52:10 UTC; kirill
+Packaged: 2025-11-12 14:18:57 UTC; kirill
 Author: Hannes Mühleisen [aut] (ORCID: <https://orcid.org/0000-0001-8552-0029>),
   Mark Raasveldt [aut] (ORCID: <https://orcid.org/0000-0001-5005-6844>),
   Kirill Müller [cre] (ORCID: <https://orcid.org/0000-0002-1416-3412>),
@@ -88,4 +88,4 @@
   PCG Project contributors [cph]
 Maintainer: Kirill Müller <kirill@cynkra.com>
 Repository: CRAN
-Date/Publication: 2025-10-16 13:30:02 UTC
+Date/Publication: 2025-11-17 21:51:20 UTC

=== debian/changelog ===
duckdb (1.4.2-1) unstable; urgency=low

  * New upstream release.

 -- Sutou Kouhei <kou@clear-code.com>  Wed, 12 Nov 2025 00:00:00 +0900

duckdb (1.1.1-1) unstable; urgency=low

  * New upstream release.

 -- Sutou Kouhei <kou@clear-code.com>  Tue, 24 Sep 2024 00:00:00 +0900

duckdb (0.2.9-1) unstable; urgency=low

  * New upstream release.

 -- Sutou Kouhei <kou@clear-code.com>  Mon, 06 Sep 2021 00:00:00 +0900

duckdb (0.2.8-1) unstable; urgency=low

  * New upstream release.

 -- Sutou Kouhei <kou@clear-code.com>  Mon, 02 Aug 2021 00:00:00 +0900

=== debian/control ===
Source: duckdb
Section: database
Priority: optional
Maintainer: Sutou Kouhei <kou@clear-code.com>
Build-Depends:
  cmake,
  debhelper (>= 12),
  devscripts,
  python3
Standards-Version: 4.1.4
Homepage: https://duckdb.org/

Package: duckdb
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
  ${misc:Depends},
  ${shlibs:Depends}
Description: An in-process SQL OLAP database management system
 .
 This package provides command line tools.

Package: libduckdb
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
  ${misc:Depends},
  ${shlibs:Depends}
Description: An in-process SQL OLAP database management system
 .
 This package provides library files.

Package: libduckdb-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
  ${misc:Depends},
  libduckdb (= ${binary:Version})
Description: An in-process SQL OLAP database management system
 .
 This package provides header files.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

ifneq (,$(filter riscv64,$(DEB_HOST_ARCH)))
    export DEB_CFLAGS_MAINT_APPEND = -march=rv64gcv_zicsr_zifencei_zihintpause_zvl256b
    export DEB_CXXFLAGS_MAINT_APPEND = -march=rv64gcv_zicsr_zifencei_zihintpause_zvl256b
endif

%:
	dh $@ --buildsystem=cmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_BUILD_TYPE=Release \

override_dh_auto_test:

override_dh_auto_install:
	dh_auto_install
	find debian/tmp -name "libduckdb.so" -exec sh -c ' \
		LIBDIR=$$(dirname "{}"); \
		cd "$$LIBDIR"; \
		ln -sf libduckdb.so.1.3.2 libduckdb.so.1; \
		ln -sf libduckdb.so.1 libduckdb.so; \
    ' \;

override_dh_shlibdeps:
	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info

=== debian/watch ===
version=3
https://github.com/duckdb/duckdb/archive/(.+).tar.gz

## duckdb 1.4.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: duckdb
 Title: DBI Package for the DuckDB Database Management System
-Version: 1.4.2
+Version: 1.4.3
 Authors@R: c(
     person("Hannes", "Mühleisen", , "hannes@cwi.nl", role = "aut",
            comment = c(ORCID = "0000-0001-8552-0029")),
@@ -58,7 +58,7 @@
 SystemRequirements: xz (for building from source)
 Biarch: true
 NeedsCompilation: yes
-Packaged: 2025-11-12 14:18:57 UTC; kirill
+Packaged: 2025-12-09 16:11:03 UTC; kirill
 Author: Hannes Mühleisen [aut] (ORCID: <https://orcid.org/0000-0001-8552-0029>),
   Mark Raasveldt [aut] (ORCID: <https://orcid.org/0000-0001-5005-6844>),
   Kirill Müller [cre] (ORCID: <https://orcid.org/0000-0002-1416-3412>),
@@ -88,4 +88,4 @@
   PCG Project contributors [cph]
 Maintainer: Kirill Müller <kirill@cynkra.com>
 Repository: CRAN
-Date/Publication: 2025-11-17 21:51:20 UTC
+Date/Publication: 2025-12-10 06:10:02 UTC

=== debian/changelog ===
duckdb (1.4.3-1) unstable; urgency=medium

  * Initial release (Closes: #1036922)

 -- Mocus Zhang <mocusez@outlook.com>  Thu, 11 Dec 2025 00:25:27 +0000

=== debian/control ===
Source: duckdb
Section: database
Priority: optional
Maintainer: Mocus Zhang <mocusez@outlook.com>
Build-Depends: debhelper-compat (= 13), cmake, ninja-build, libssl-dev, g++(>= 4:10), git
Standards-Version: 4.7.2
Homepage: https://duckdb.org
Vcs-Browser: https://salsa.debian.org/MocusEZ/duckdb
Vcs-Git: https://salsa.debian.org/MocusEZ/duckdb.git
Rules-Requires-Root: no

Package: duckdb
Architecture: amd64 arm64 riscv64
Depends: ${shlibs:Depends}, ${misc:Depends}, libduckdb1 (= ${binary:Version})
Description: in-process SQL OLAP database management system
 DuckDB is an in-process SQL OLAP database management system designed for
 fast analytical query workloads. It brings the ease-of-use of SQLite to
 analytical processing, allowing users to execute complex queries directly
 within their applications without a separate server process.
 .
 DuckDB supports standard SQL, transactions, and advanced features such as
 joins, window functions, and Parquet/CSV/JSON import/export. It is ideal
 for embedded analytics, research, data wrangling, and small-scale BI use.


Package: libduckdb1
Section: libs
Architecture: amd64 arm64 riscv64
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Shared library for DuckDB
 This package contains the shared library for DuckDB, an in-process
 SQL OLAP database management system.

Package: libduckdb-dev
Section: libdevel
Architecture: amd64 arm64 riscv64
Depends: libduckdb1 (= ${binary:Version}), ${misc:Depends}
Description: Development files for DuckDB
 This package contains the header files and libraries needed to
 compile applications or shared objects that use libduckdb.

=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,7 @@
 	find debian/tmp -name "libduckdb.so" -exec sh -c ' \
 		LIBDIR=$$(dirname "{}"); \
 		cd "$$LIBDIR"; \
-		ln -sf libduckdb.so.1.3.2 libduckdb.so.1; \
+		ln -sf libduckdb.so.1.4.3 libduckdb.so.1; \
 		ln -sf libduckdb.so.1 libduckdb.so; \
     ' \;

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?([0-9][^\/]*)\.tar\.gz/duckdb-$1.tar.gz/
https://github.com/duckdb/duckdb/releases .*/archive/refs/tags/v?([0-9][0-9\.]*)\.tar\.gz

## duckdb 1.4.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: duckdb
 Title: DBI Package for the DuckDB Database Management System
-Version: 1.4.3
+Version: 1.4.4
 Authors@R: c(
     person("Hannes", "Mühleisen", , "hannes@cwi.nl", role = "aut",
            comment = c(ORCID = "0000-0001-8552-0029")),
@@ -58,7 +58,7 @@
 SystemRequirements: xz (for building from source)
 Biarch: true
 NeedsCompilation: yes
-Packaged: 2025-12-09 16:11:03 UTC; kirill
+Packaged: 2026-01-27 14:21:54 UTC; kirill
 Author: Hannes Mühleisen [aut] (ORCID: <https://orcid.org/0000-0001-8552-0029>),
   Mark Raasveldt [aut] (ORCID: <https://orcid.org/0000-0001-5005-6844>),
   Kirill Müller [cre] (ORCID: <https://orcid.org/0000-0002-1416-3412>),
@@ -88,4 +88,4 @@
   PCG Project contributors [cph]
 Maintainer: Kirill Müller <kirill@cynkra.com>
 Repository: CRAN
-Date/Publication: 2025-12-10 06:10:02 UTC
+Date/Publication: 2026-01-28 08:20:02 UTC
